Package de.tudresden.sumo.util

## Class Observable

- java.lang.Object
- - de.tudresden.sumo.util.Observable

- Direct Known Subclasses:
    `Query`

      public class Observable
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Observable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addObserver​(Observer observer)` |
    `void` | `notifyObservers​(SubscriptionObject so)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Observable

          public Observable()

  - ### Method Detail

    - #### addObserver

          public void addObserver​(Observer observer)

    - #### notifyObservers

          public void notifyObservers​(SubscriptionObject so)